Support » Plugin: Gutenberg » The editor has encountered an unexpected error. Attempt Recovery Copy Post Text

Viewing 6 replies - 46 through 51 (of 51 total)
  • Thread Starter monica5

    (@monica5)

    @jdembowski All my replies make sense in getting the problem fixed – you may manually edit my address instead (one that I have no reason to hide at all).
    I would find that helpful as I might have to turn to professional help if plugin authors are unable to fix it.
    I ask reliably secure contact be established with Gutenberg people to account for my IT security.
    Please don’t create a catch 22 by forcing me to share the lineup of plugins.
    What you call topic about topics, shows clear similarities in the issue experienced by several other users.
    I’m looking for a constructive resolution.

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    All my replies make sense in getting the problem fixed – you may manually edit my address instead (one that I have no reason to hide at all).

    I’m sorry, but no. You see I too am a volunteer. Archiving your replies was the most expedient way and moderators prefer to not edit posts en masse. Please do not post your email again, do not ask for off forum contact.

    That’s not a catch 22, that’s enforced in the forums when found.

    I ask reliably secure contact be established with Gutenberg people to account for my IT security.

    No.

    These forums are community support forums and your ask is unreasonable once when you realize that you are communicating with unpaid volunteers, helping you for free on their own time and out of the goodness of their hearts.

    If you wish to aid the community with details then please do. But sanitize any details you provide here in public. Keep support here, you help others in your situation when you do.

    • This reply was modified 2 months ago by Jan Dembowski. Reason: Grammar and clarity
    Thread Starter monica5

    (@monica5)

    @jdembowski Thanks but it wasn’t en masse, I published my mail at some 2 places only (easy to take out if you wish, didn’t know that I should not write it).
    I wonder why the leading block editor is relying on unpaid volunteers then instead of (?) a professional team as other plugins do.
    Doxxing my website security setups is a catch 22 situation though, I’m afraid, and less secure than publishing email address. Can’t be sanitized really.
    Anyway.

    @talldanwp
    Suddenly today, without any action of mine, I see that Gutenberg 11.4.1 update was installed in my WP-admin. I’m concerned whether it won’t present any issues for me, because I need to update my homepage, and the last time I did that untested (using Classic Editor and then Gutenberg), I lost all the coding below the changes made. Yes, all coding became illegible, and I had to program it from scratch again. Major nuisance.

    I’m on WP 5.8.1 currently. Was 11.4.1 the update intended to solve also my problem, and how could it have been installed without any action of mine?

    Do I you think I better roll back to Gutenberg 9.5.0 please, just to be safe from any poor coding that might be indise 11.4.1 that I can’t know about?

    I’m understandably concerned, but need some Gutenberg version to work reliably with my plugin array…

    Thank you.

    Plugin Support David Smith

    (@get_dave)

    I’m concerned whether it won’t present any issues for me, because I need to update my homepage, and the last time I did that untested (using Classic Editor and then Gutenberg), I lost all the coding below the changes made.

    If you are concerned then I would recommend creating a Staging site and performing the update there. Once you are happy you can then run the update on the Production site.

    I’m on WP 5.8.1 currently. Was 11.4.1 the update intended to solve also my problem, and how could it have been installed without any action of mine?

    You may have auto updates enabled for the Gutenberg Plugin. If you don’t want this to happen click “Disable Auto-Update” on the Plugins screen next to the Gutenberg Plugin.

    Do I you think I better roll back to Gutenberg 9.5.0 please, just to be safe from any poor coding that might be indise 11.4.1 that I can’t know about?

    I’m not able to reliably or accurately answer that question. It sounds very much like you need to setup a Staging website and then you can experiment with enabling different versions of Gutenberg until you find one you are happy is stable with the Plugins that are you using (one of which is likely causing the error you are experiencing).

    In your situation I would turn off auto updates and update manually on Staging, test and verify, and only then would I run the updates on Production.

    I’m understandably concerned, but need some Gutenberg version to work reliably with my plugin array…

    It’s highly likely that one of your Plugins is not working with Gutenberg. Ultimately, the many/most of the features in the Gutenberg Plugin will become part of WP Core at some point. Therefore the Plugins you use will need to be updated to conform to be compatible with Gutenberg.

    I wonder why the leading block editor is relying on unpaid volunteers then instead of (?) a professional team as other plugins do.

    It’s understandable you might ask this question. However, the Gutenberg Plugin is not a commercial product. Rather it is feature Plugin for elements that will eventually become part of the editor in WordPress Core. Therefore you can think of it as akin to WordPress (ie: free, Open Source software created by a community). WordPress is not “owned” like many commercial builders. Lots more context and info is available at:

    https://developer.wordpress.org/block-editor/handbook/faq/

    I hope that is helpful?

    Thread Starter monica5

    (@monica5)

    Thank you @get_dave

    Staging site isn’t available to me, and anyway wouldn’t deal with the paid plugins that can’t be replicated there.
    It wouldn’t have thus helped with Gutenberg ver choice, and I have all updates turned off, updating only manually anyway.
    I’m not using any obscure plugins, and hope they would be kept updated.
    OK, I Gutenberg is maintained via a community only, could you give me means to reach privately, yes privately, its developers to whom I would like to provide the full array of plugins that I’m running? Much appreciated, thanks,

    Monica

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    OK, I Gutenberg is maintained via a community only, could you give me means to reach privately, yes privately, its developers to whom I would like to provide the full array of plugins that I’m running? Much appreciated, thanks,

    OK, I am now closing this topic. It was explained to you in this topic not to do that and you chose to ignore that.

    Your account is on moderation watch as you are choosing to ignore the forum moderators. That means all of your posts, replies and reviews will require a moderator to approve it before it becomes public.

    If you wish to take issue with this, contact moderators via the #forums channel on slack https://make.wordpress.org/chat/

Viewing 6 replies - 46 through 51 (of 51 total)
  • The topic ‘The editor has encountered an unexpected error. Attempt Recovery Copy Post Text’ is closed to new replies.